Vulnerability CVE-2012-5629


Published: 2013-03-12   Modified: 2013-03-15

Description:
The default configuration of the (1) LdapLoginModule and (2) LdapExtLoginModule modules in JBoss Enterprise Application Platform (EAP) 4.3.0 CP10, 5.2.0, and 6.0.1, and Enterprise Web Platform (EWP) 5.2.0 allow remote attackers to bypass authentication via an empty password.

Type:

CWE-264

(Permissions, Privileges, and Access Controls)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.5/10
6.4/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Redhat -> Jboss enterprise application platform 
Redhat -> Jboss enterprise web platform 

 References:
http://rhn.redhat.com/errata/RHSA-2013-0586.html
http://rhn.redhat.com/errata/RHSA-2013-0533.html
http://rhn.redhat.com/errata/RHSA-2013-0248.html
http://rhn.redhat.com/errata/RHSA-2013-0234.html
http://rhn.redhat.com/errata/RHSA-2013-0233.html
http://rhn.redhat.com/errata/RHSA-2013-0232.html
http://rhn.redhat.com/errata/RHSA-2013-0231.html
http://rhn.redhat.com/errata/RHSA-2013-0230.html
http://rhn.redhat.com/errata/RHSA-2013-0229.html
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=885569

Copyright 2022, cxsecurity.com

 

Back to Top